<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>KVM | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="环境准备检查该服务器是否支持虚拟化，尤其是cpu，这里如果没有输出则需要进入BIOS去调整cpu的虚拟化，具体百度即可，虚拟机则很方便在虚拟机设置里即可打开cpu虚拟化 1egrep -o &amp;#x27;vmx | svm&amp;#x27; &#x2F;proc&#x2F;cpuinfo | wc -l 关闭防火墙和selinux 123456# systemctl stop firewalld# systemctl dis">
<meta property="og:type" content="article">
<meta property="og:title" content="KVM">
<meta property="og:url" content="http://example.com/2021/02/10/KVM/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="环境准备检查该服务器是否支持虚拟化，尤其是cpu，这里如果没有输出则需要进入BIOS去调整cpu的虚拟化，具体百度即可，虚拟机则很方便在虚拟机设置里即可打开cpu虚拟化 1egrep -o &amp;#x27;vmx | svm&amp;#x27; &#x2F;proc&#x2F;cpuinfo | wc -l 关闭防火墙和selinux 123456# systemctl stop firewalld# systemctl dis">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-02-10T09:36:00.000Z">
<meta property="article:modified_time" content="2021-02-10T09:40:00.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/02/10/KVM/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-10 17:40:00'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">KVM</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-02-10T09:36:00.000Z" title="发表于 2021-02-10 17:36:00">2021-02-10</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-10T09:40:00.000Z" title="更新于 2021-02-10 17:40:00">2021-02-10</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/KVM/">KVM</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h1 id="环境准备"><a href="#环境准备" class="headerlink" title="环境准备"></a>环境准备</h1><p>检查该服务器是否支持虚拟化，尤其是cpu，这里如果没有输出则需要进入BIOS去调整cpu的虚拟化，具体百度即可，虚拟机则很方便在虚拟机设置里即可打开cpu虚拟化</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">egrep -o <span class="string">&#x27;vmx | svm&#x27;</span> /proc/cpuinfo | wc -l</span><br></pre></td></tr></table></figure>
<p>关闭防火墙和selinux</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># systemctl stop firewalld</span></span><br><span class="line"><span class="comment"># systemctl disable firewalld</span></span><br><span class="line"><span class="comment"># setenforce 0</span></span><br><span class="line"><span class="comment"># vim /etc/selinux/config</span></span><br><span class="line"><span class="comment"># 修改以下内容</span></span><br><span class="line">SELINUX=disabled</span><br></pre></td></tr></table></figure>
<h1 id="安装KVM"><a href="#安装KVM" class="headerlink" title="安装KVM"></a>安装KVM</h1><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># yum install -y kvm virt-* libvirt bridge-utils qemu-img</span></span><br></pre></td></tr></table></figure>
<p>查看kvm是否被加载到内核</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># lsmod | grep kvm</span></span><br></pre></td></tr></table></figure>
<h1 id="网络设置"><a href="#网络设置" class="headerlink" title="网络设置"></a>网络设置</h1><p>和VMware一样有桥接模式和nat模式</p>
<h2 id="桥接模式"><a href="#桥接模式" class="headerlink" title="桥接模式"></a>桥接模式</h2><p>就是添加了新网卡br0，将br0绑定到ens33上</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br></pre></td><td class="code"><pre><span class="line">绑定网卡--以太网通道--聚合链路--桥接网络</span><br><span class="line">[root@localhost ~]<span class="comment"># cd /etc/sysconfig/network-scripts/</span></span><br><span class="line">[root@localhost network-scripts]<span class="comment"># vim ifcfg-ens33 </span></span><br><span class="line"><span class="comment"># 更改，把原有ip删了</span></span><br><span class="line">ONBOOT=none</span><br><span class="line">BRIDGE=br0</span><br><span class="line">BOOTPROTO=none</span><br><span class="line">[root@localhost network-scripts]<span class="comment"># cp ifcfg-ens33 ifcfg-br0</span></span><br><span class="line">[root@localhost network-scripts]<span class="comment"># vim ifcfg-br0</span></span><br><span class="line"><span class="comment"># 更改</span></span><br><span class="line">TYPE=Bridge</span><br><span class="line">BOOTPROTO=none</span><br><span class="line">NAME=br0</span><br><span class="line">DEVICE=br0</span><br><span class="line">ONBOOT=yes</span><br><span class="line"><span class="comment"># 添加：</span></span><br><span class="line">IPADDR=192.168.1.1</span><br><span class="line">NETMASK=255.255.255.0</span><br><span class="line"><span class="comment"># 删除</span></span><br><span class="line">BRIDGE=br0</span><br><span class="line"><span class="comment"># 重启网卡</span></span><br><span class="line">systemctl restart network</span><br></pre></td></tr></table></figure>
<p>这样在查看网络设备时，会多处一块br0设备</p>
<p>查看虚拟网络设备<code>brctl show</code></p>
<h2 id="NAT模式"><a href="#NAT模式" class="headerlink" title="NAT模式"></a>NAT模式</h2><p>启动libvirtd服务后，自会生成一个virbr0的虚拟网络设备</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># systemctl start libvirtd</span></span><br><span class="line"><span class="comment"># systemctl disable ilbvirtd</span></span><br><span class="line"><span class="comment"># systemctl startmessagebus</span></span><br></pre></td></tr></table></figure>
<p>如果启动libvirtd报错如下</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">libvirtd: relocation error: libvirtd: ... version ... libdevmapper.so.1.02   [失败]</span><br></pre></td></tr></table></figure>
<p>只需要更新对应软件包即可</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># yum upgrade device-mapper-libs</span></span><br></pre></td></tr></table></figure>
<p>然后查看虚拟设备</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># brctl show</span></span><br><span class="line">bridge name	bridge id		STP enabled	interfaces</span><br><span class="line">virbr0		8000.52540037d52e	yes		virbr0-nic</span><br></pre></td></tr></table></figure>
<h1 id="安装虚拟机"><a href="#安装虚拟机" class="headerlink" title="安装虚拟机"></a>安装虚拟机</h1><h2 id="创建虚拟机磁盘镜像文件"><a href="#创建虚拟机磁盘镜像文件" class="headerlink" title="创建虚拟机磁盘镜像文件"></a>创建虚拟机磁盘镜像文件</h2><p>执行此命令会在指定路径下生成一个文件，大小为指定大小，指定的大小须在物理机容量范围</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># qemu-img create -f qcow2 -o preallocation=metadata /root/test.qcow2 20G</span></span><br></pre></td></tr></table></figure>
<p>将使用该磁盘镜像文件来安装虚拟机</p>
<h2 id="执行安装虚拟机"><a href="#执行安装虚拟机" class="headerlink" title="执行安装虚拟机"></a>执行安装虚拟机</h2><h3 id="图形化安装"><a href="#图形化安装" class="headerlink" title="图形化安装"></a>图形化安装</h3><p>需要连接vnc等图形界面工具</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># virt-install --name test_1 --ram 8192 --vcpus 4 \</span></span><br><span class="line">-f /root/test_1.qcow2 --os-type linux \</span><br><span class="line">--os-variant rhel7 --network bridge=virbr0 \</span><br><span class="line">--cdrom CentOS-7-x86_64-DVD-1810.iso \</span><br><span class="line">--graphics vnc,listen=0.0.0.0,port=5920</span><br><span class="line"><span class="comment"># 输出如下</span></span><br><span class="line">WARNING  Graphics requested but DISPLAY is not <span class="built_in">set</span>. Not running virt-viewer.</span><br><span class="line">WARNING  No console to launch <span class="keyword">for</span> the guest, defaulting to --<span class="built_in">wait</span> -1</span><br><span class="line"> </span><br><span class="line">Starting install...</span><br><span class="line">Domain installation still <span class="keyword">in</span> progress. Waiting <span class="keyword">for</span> installation to complete.</span><br><span class="line"><span class="comment"># 这个位置需要连接vnc，进行选择语言/硬盘等界面的操作</span></span><br></pre></td></tr></table></figure>
<p>需要准备一个vnc工具连接宿主机的ip和上面设置的port，即可进行图形化界面的安装</p>
<h3 id="命令行安装"><a href="#命令行安装" class="headerlink" title="命令行安装"></a>命令行安装</h3><p>命令行安装的结果是我把电脑放置了一夜然后才看到成功的</p>
<p>使用以下会进入命令行的系统安装 </p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># virt-install --virt-type=kvm --name test --vcpus=2 --memory=8192 \</span></span><br><span class="line">--location=/root/CentOS-7-x86_64-DVD-1810.iso \</span><br><span class="line">--disk path=/root/test.qcow2,size=4,format=qcow2 \</span><br><span class="line">--network bridge=virbr0 --graphics none \</span><br><span class="line">--extra-args=<span class="string">&#x27;console=ttyS0&#x27;</span> --force</span><br></pre></td></tr></table></figure>
<p>进入命令行选择</p>
<p>需要选择序号后面带感叹号的进行设置，下面的3&amp;4不用进行设置</p>
<h4 id="时区设置"><a href="#时区设置" class="headerlink" title="时区设置"></a>时区设置</h4><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br><span class="line">38</span><br><span class="line">39</span><br><span class="line">40</span><br><span class="line">41</span><br><span class="line">42</span><br><span class="line">43</span><br><span class="line">44</span><br><span class="line">45</span><br><span class="line">46</span><br><span class="line">47</span><br><span class="line">48</span><br><span class="line">49</span><br><span class="line">50</span><br><span class="line">51</span><br><span class="line">52</span><br><span class="line">53</span><br><span class="line">54</span><br><span class="line">55</span><br><span class="line">56</span><br><span class="line">57</span><br><span class="line">58</span><br><span class="line">59</span><br><span class="line">60</span><br><span class="line">61</span><br><span class="line">62</span><br><span class="line">63</span><br><span class="line">64</span><br><span class="line">65</span><br><span class="line">66</span><br><span class="line">67</span><br><span class="line">68</span><br><span class="line">69</span><br><span class="line">70</span><br><span class="line">71</span><br><span class="line">72</span><br><span class="line">73</span><br><span class="line">74</span><br><span class="line">75</span><br></pre></td><td class="code"><pre><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Installation</span><br><span class="line"> </span><br><span class="line"> 1) [x] Language settings                 2) [!] Time settings</span><br><span class="line">        (English (United States))                (Timezone is not <span class="built_in">set</span>.)</span><br><span class="line"> 3) [!] Installation <span class="built_in">source</span>               4) [!] Software selection</span><br><span class="line">        (Processing...)                          (Processing...)</span><br><span class="line"> 5) [!] Installation Destination          6) [x] Kdump</span><br><span class="line">        (No disks selected)                      (Kdump is enabled)</span><br><span class="line"> 7) [ ] Network configuration             8) [!] Root password</span><br><span class="line">        (Not connected)                          (Password is not <span class="built_in">set</span>.)</span><br><span class="line"> 9) [!] User creation</span><br><span class="line">        (No user will be created)</span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;b&#x27;</span> to begin installation |  <span class="string">&#x27;r&#x27;</span> to refresh]: 2</span><br><span class="line"><span class="comment"># 选择2设置时区</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Time settings</span><br><span class="line"> </span><br><span class="line">Timezone: not <span class="built_in">set</span></span><br><span class="line"> </span><br><span class="line">NTP servers:not configured</span><br><span class="line"> </span><br><span class="line"> 1)  Set timezone</span><br><span class="line"> 2)  Configure NTP servers</span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;c&#x27;</span> to <span class="built_in">continue</span> |<span class="string">&#x27;r&#x27;</span> to refresh]: 1   <span class="comment"># 选择设置时区，如果有NTP服务器则选择2</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Timezone settings</span><br><span class="line"> </span><br><span class="line">Available regions</span><br><span class="line"> 1)  Europe                 6)  Pacific               10)  Arctic</span><br><span class="line"> 2)  Asia                   7)  Australia             11)  US</span><br><span class="line"> 3)  America                8)  Atlantic              12)  Etc</span><br><span class="line"> 4)  Africa                 9)  Indian</span><br><span class="line"> 5)  Antarctica</span><br><span class="line">Please select the timezone.</span><br><span class="line">Use numbers or <span class="built_in">type</span> names directly [b to region list, q to quit]: 2   <span class="comment"># 选择亚洲时区</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Timezone settings</span><br><span class="line"> </span><br><span class="line">Available timezones <span class="keyword">in</span> region Asia</span><br><span class="line"> 1)  Aden                  29)  Hong_Kong             56)  Pontianak</span><br><span class="line"> 2)  Almaty                30)  Hovd                  57)  Pyongyang</span><br><span class="line"> 3)  Amman                 31)  Irkutsk               58)  Qatar</span><br><span class="line"> 4)  Anadyr                32)  Jakarta               59)  Qyzylorda</span><br><span class="line"> 5)  Aqtau                 33)  Jayapura              60)  Riyadh</span><br><span class="line"> 6)  Aqtobe                34)  Jerusalem             61)  Sakhalin</span><br><span class="line"> 7)  Ashgabat              35)  Kabul                 62)  Samarkand</span><br><span class="line"> 8)  Atyrau                36)  Kamchatka             63)  Seoul</span><br><span class="line"> 9)  Baghdad               37)  Karachi               64)  Shanghai</span><br><span class="line">10)  Bahrain               38)  Kathmandu             65)  Singapore</span><br><span class="line">11)  Baku                  39)  Khandyga              66)  Srednekolymsk</span><br><span class="line">12)  Bangkok               40)  Kolkata               67)  Taipei</span><br><span class="line">13)  Barnaul               41)  Krasnoyarsk           68)  Tashkent</span><br><span class="line">14)  Beirut                42)  Kuala_Lumpur          69)  Tbilisi</span><br><span class="line">15)  Bishkek               43)  Kuching               70)  Tehran</span><br><span class="line">16)  Brunei                44)  Kuwait                71)  Thimphu</span><br><span class="line">17)  Chita                 45)  Macau                 72)  Tokyo</span><br><span class="line">18)  Choibalsan            46)  Magadan               73)  Tomsk</span><br><span class="line">19)  Colombo               47)  Makassar              74)  Ulaanbaatar</span><br><span class="line">20)  Damascus              48)  Manila                75)  Urumqi</span><br><span class="line">21)  Dhaka                 49)  Muscat                76)  Ust-Nera</span><br><span class="line">22)  Dili                  50)  Nicosia               77)  Vientiane</span><br><span class="line">23)  Dubai                 51)  Novokuznetsk          78)  Vladivostok</span><br><span class="line">24)  Dushanbe              52)  Novosibirsk           79)  Yakutsk</span><br><span class="line">25)  Famagusta             53)  Omsk                  80)  Yangon</span><br><span class="line">26)  Gaza                  54)  Oral                  81)  Yekaterinburg</span><br><span class="line">27)  Hebron                55)  Phnom_Penh            82)  Yerevan</span><br><span class="line">28)  Ho_Chi_Minh</span><br><span class="line">Please select the timezone.</span><br><span class="line">Use numbers or <span class="built_in">type</span> names directly [b to region list, q to quit]: 64</span><br><span class="line"><span class="comment"># 选择64为上海时区，然后会自动退回到设置界面</span></span><br></pre></td></tr></table></figure>
<h4 id="硬盘分区"><a href="#硬盘分区" class="headerlink" title="硬盘分区"></a>硬盘分区</h4><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br><span class="line">38</span><br><span class="line">39</span><br><span class="line">40</span><br><span class="line">41</span><br><span class="line">42</span><br><span class="line">43</span><br><span class="line">44</span><br><span class="line">45</span><br><span class="line">46</span><br><span class="line">47</span><br><span class="line">48</span><br><span class="line">49</span><br><span class="line">50</span><br><span class="line">51</span><br><span class="line">52</span><br><span class="line">53</span><br><span class="line">54</span><br><span class="line">55</span><br><span class="line">56</span><br><span class="line">57</span><br><span class="line">58</span><br></pre></td><td class="code"><pre><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Installation</span><br><span class="line"> </span><br><span class="line"> 1) [x] Language settings                 2) [x] Time settings</span><br><span class="line">        (English (United States))                (Asia/Shanghai timezone)</span><br><span class="line"> 3) [!] Installation <span class="built_in">source</span>               4) [!] Software selection</span><br><span class="line">        (Processing...)                          (Processing...)</span><br><span class="line"> 5) [!] Installation Destination          6) [x] Kdump</span><br><span class="line">        (No disks selected)                      (Kdump is enabled)</span><br><span class="line"> 7) [ ] Network configuration             8) [!] Root password</span><br><span class="line">        (Not connected)                          (Password is not <span class="built_in">set</span>.)</span><br><span class="line"> 9) [!] User creation</span><br><span class="line">        (No user will be created)</span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;b&#x27;</span> to begin installation | <span class="string">&#x27;r&#x27;</span> to refresh]: 5</span><br><span class="line">  <span class="comment"># 选择5，进行硬盘选择分区</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Probing storage...</span><br><span class="line">Installation Destination</span><br><span class="line"></span><br><span class="line">[x] 1) : 20 GiB (vda)</span><br><span class="line"></span><br><span class="line">1 disk selected; 20 GiB capacity; 20 GiB free ...</span><br><span class="line"></span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;c&#x27;</span> to <span class="built_in">continue</span> |  <span class="string">&#x27;r&#x27;</span> to refresh]: c</span><br><span class="line">  <span class="comment"># 因为只有一个20G的qcow2文件，所以只有一块虚拟硬盘，c继续</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Autopartitioning Options</span><br><span class="line"> </span><br><span class="line">[ ] 1) Replace Existing Linux system(s)</span><br><span class="line"> </span><br><span class="line">[x] 2) Use All Space</span><br><span class="line"> </span><br><span class="line">[ ] 3) Use Free Space</span><br><span class="line"> </span><br><span class="line">Installation requires partitioning of your hard drive. Select what space to use</span><br><span class="line"><span class="keyword">for</span> the install target.</span><br><span class="line"> </span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;c&#x27;</span> to <span class="built_in">continue</span> |  <span class="string">&#x27;r&#x27;</span> to refresh]: c</span><br><span class="line">  <span class="comment"># 选择2或者c，使用所有硬盘空间</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Partition Scheme Options</span><br><span class="line"> </span><br><span class="line">[ ] 1) Standard Partition</span><br><span class="line"> </span><br><span class="line">[ ] 2) Btrfs</span><br><span class="line"> </span><br><span class="line">[x] 3) LVM</span><br><span class="line"> </span><br><span class="line">[ ] 4) LVM Thin Provisioning</span><br><span class="line"> </span><br><span class="line">Select a partition scheme configuration.</span><br><span class="line"> </span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;c&#x27;</span> to <span class="built_in">continue</span> |  <span class="string">&#x27;r&#x27;</span> to refresh]: 3</span><br><span class="line">  <span class="comment"># 选择3，使用LVM的方式进行分区，看情况定即可，然后选择c继续</span></span><br></pre></td></tr></table></figure>
<h4 id="设置root密码"><a href="#设置root密码" class="headerlink" title="设置root密码"></a>设置root密码</h4><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br></pre></td><td class="code"><pre><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Installation</span><br><span class="line"></span><br><span class="line"> 1) [x] Language settings                 2) [x] Time settings</span><br><span class="line">        (English (United States))                (Asia/Shanghai timezone)</span><br><span class="line"> 3) [x] Installation <span class="built_in">source</span>               4) [x] Software selection</span><br><span class="line">        (Local media)                            (Minimal Install)</span><br><span class="line"> 5) [x] Installation Destination          6) [x] Kdump</span><br><span class="line">        (Automatic partitioning                  (Kdump is enabled)</span><br><span class="line">        selected)                         8) [!] Root password</span><br><span class="line"> 7) [ ] Network configuration                    (Password is not <span class="built_in">set</span>.)</span><br><span class="line">        (Not connected)</span><br><span class="line"> 9) [!] User creation</span><br><span class="line">        (No user will be created)</span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;b&#x27;</span> to begin installation |  <span class="string">&#x27;r&#x27;</span> to refresh]: 8</span><br><span class="line">  <span class="comment"># 选择8进行设置密码</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Please select new root password. You will have to <span class="built_in">type</span> it twice.</span><br><span class="line">  </span><br><span class="line">Password:                      <span class="comment"># 输入密码</span></span><br><span class="line">Password (confirm):            <span class="comment"># 再次输入确认密码</span></span><br><span class="line">===================================================================================================</span><br><span class="line">===================================================================================================</span><br><span class="line">Question</span><br><span class="line">  </span><br><span class="line">The password you have provided is weak: The password fails the dictionary check</span><br><span class="line">- it is too simplistic/systematic.</span><br><span class="line">Would you like to use it anyway?</span><br><span class="line">  </span><br><span class="line">Please respond <span class="string">&#x27;yes&#x27;</span> or <span class="string">&#x27;no&#x27;</span>: yes    <span class="comment"># 输入yes，确认使用这样的密码，复杂性要求够了就不会出现这一步</span></span><br></pre></td></tr></table></figure>
<h4 id="开始安装"><a href="#开始安装" class="headerlink" title="开始安装"></a>开始安装</h4><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br></pre></td><td class="code"><pre><span class="line">================================================================================</span><br><span class="line">================================================================================</span><br><span class="line">Installation</span><br><span class="line"> </span><br><span class="line"> 1) [x] Language settings                 2) [x] Time settings</span><br><span class="line">        (English (United States))                (Asia/Shanghai timezone)</span><br><span class="line">        (Local media)                            (Minimal Install)</span><br><span class="line"> 5) [x] Installation Destination          6) [x] Kdump</span><br><span class="line">        (Automatic partitioning                  (Kdump is enabled)</span><br><span class="line">        selected)                         8) [x] Root password</span><br><span class="line"> 7) [ ] Network configuration                    (Password is <span class="built_in">set</span>.)</span><br><span class="line">        (Not connected)</span><br><span class="line"> 9) [ ] User creation</span><br><span class="line">        (No user will be created)</span><br><span class="line">  Please make your choice from above [<span class="string">&#x27;q&#x27;</span> to quit | <span class="string">&#x27;b&#x27;</span> to begin installation |  <span class="string">&#x27;r&#x27;</span> to refresh]: b</span><br><span class="line">  <span class="comment"># 开始安装</span></span><br></pre></td></tr></table></figure>
<p>开始安装后和正常服务器开机是一样的，这一步会卡很长时间</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br></pre></td><td class="code"><pre><span class="line">........</span><br><span class="line">Installing iwl100-firmware (291/306)</span><br><span class="line">Installing iwl2030-firmware (292/306)</span><br><span class="line">Installing iwl5000-firmware (293/306)</span><br><span class="line">Installing iwl6000g2b-firmware (294/306)</span><br><span class="line">Installing iwl5150-firmware (295/306)</span><br><span class="line">Installing iwl7260-firmware (296/306)</span><br><span class="line">Installing iwl3160-firmware (297/306)</span><br><span class="line">Installing iwl105-firmware (298/306)</span><br><span class="line">Installing iwl3945-firmware (299/306)</span><br><span class="line">Installing iwl7265-firmware (300/306)</span><br><span class="line">Installing ivtv-firmware (301/306)</span><br><span class="line">Installing iwl6050-firmware (302/306)</span><br><span class="line">Installing iwl2000-firmware (303/306)</span><br><span class="line">Installing iwl6000g2a-firmware (304/306)</span><br><span class="line">Installing iwl6000-firmware (305/306)</span><br><span class="line">Installing iwl135-firmware (306/306)</span><br><span class="line">Performing post-installation setup tasks</span><br><span class="line"></span><br><span class="line">[anaconda] 1:main* 2:shell  3:<span class="built_in">log</span>  4:storage-lo&gt; Switch tab: Alt+Tab | Help: F1 </span><br></pre></td></tr></table></figure>
<blockquote>
<p>就这个界面一直持续了一夜，当我想要放弃的时候（ctrl+c），突然好了，出现了以下内容，以下内容都是我多次按ctrl+c出来的。</p>
<p>也可以尝试在以上阻塞的地方一开始就按ctrl+c</p>
</blockquote>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br></pre></td><td class="code"><pre><span class="line">.....</span><br><span class="line">Installing iwl135-firmware (306/306)</span><br><span class="line">Performing post-installation setup tasks</span><br><span class="line">^CInstalling boot loader</span><br><span class="line">.</span><br><span class="line">Performing post-installation setup tasks</span><br><span class="line">.</span><br><span class="line"></span><br><span class="line">Configuring installed system</span><br><span class="line">^C.</span><br><span class="line">Writing network configuration</span><br><span class="line">.</span><br><span class="line">Creating users</span><br><span class="line">.</span><br><span class="line">Configuring addons</span><br><span class="line">.</span><br><span class="line">Generating initramfs</span><br><span class="line"> </span><br><span class="line"> </span><br><span class="line"> </span><br><span class="line"> </span><br><span class="line"> </span><br><span class="line"> </span><br><span class="line">^C.</span><br><span class="line">Running post-installation scripts</span><br><span class="line">.</span><br><span class="line">        Use of this product is subject to the license agreement found at /usr/share/centos-release/EULA</span><br><span class="line"> </span><br><span class="line">        Installation complete.  Press <span class="built_in">return</span> to quit</span><br><span class="line"> </span><br><span class="line">[anaconda] 1:main* 2:shell  3:<span class="built_in">log</span>  4:storage-lo&gt; Switch tab: Alt+Tab | Help: F1 </span><br></pre></td></tr></table></figure>
<p>然后这个位置回车，就会重启VM</p>
<h1 id="设置开机自启VM"><a href="#设置开机自启VM" class="headerlink" title="设置开机自启VM"></a>设置开机自启VM</h1><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># virsh autostart VM-NAME(虚拟机名)     // 开机自启</span></span><br><span class="line"><span class="comment"># virsh autostart --disable VM-NAME(虚拟机名)   // 开机不自启 </span></span><br></pre></td></tr></table></figure>
<h1 id="宿主机查看VM-IP"><a href="#宿主机查看VM-IP" class="headerlink" title="宿主机查看VM_IP"></a>宿主机查看VM_IP</h1><p>我是根据图形化安装成功的，所以在安装完成重启之后，还是通过vnc连接到了，之后就和正常的服务器一样的网络设置，因为没有IP，我直接使用dhcp获取了kvm的122网段的默认ip，设置与宿主机的ssh即可方便登录</p>
<p>通过宿主机查看ip</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># virsh edit VM-NAME </span></span><br><span class="line">在这个编辑的文件中找到mac地址，通过mac地址查看ip</span><br><span class="line"><span class="comment"># arp -a | grep -i 52:54:00:d7:e6:bc</span></span><br><span class="line">? (192.168.122.213) at 52:54:00:d7:e6:bc [ether] on virbr0</span><br></pre></td></tr></table></figure></article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/02/10/KVM/">http://example.com/2021/02/10/KVM/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/02/10/KVM-Virsh%E6%8C%87%E4%BB%A4/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">KVM-Virsh指令</div></div></a></div><div class="next-post pull-right"><a href="/2021/02/10/Apache%E6%BA%90%E7%A0%81%E5%AE%89%E8%A3%85/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Apache源码安装</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-1"><a class="toc-link" href="#%E7%8E%AF%E5%A2%83%E5%87%86%E5%A4%87"><span class="toc-number">1.</span> <span class="toc-text">环境准备</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E5%AE%89%E8%A3%85KVM"><span class="toc-number">2.</span> <span class="toc-text">安装KVM</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E7%BD%91%E7%BB%9C%E8%AE%BE%E7%BD%AE"><span class="toc-number">3.</span> <span class="toc-text">网络设置</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%A1%A5%E6%8E%A5%E6%A8%A1%E5%BC%8F"><span class="toc-number">3.1.</span> <span class="toc-text">桥接模式</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#NAT%E6%A8%A1%E5%BC%8F"><span class="toc-number">3.2.</span> <span class="toc-text">NAT模式</span></a></li></ol></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E5%AE%89%E8%A3%85%E8%99%9A%E6%8B%9F%E6%9C%BA"><span class="toc-number">4.</span> <span class="toc-text">安装虚拟机</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E8%99%9A%E6%8B%9F%E6%9C%BA%E7%A3%81%E7%9B%98%E9%95%9C%E5%83%8F%E6%96%87%E4%BB%B6"><span class="toc-number">4.1.</span> <span class="toc-text">创建虚拟机磁盘镜像文件</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%89%A7%E8%A1%8C%E5%AE%89%E8%A3%85%E8%99%9A%E6%8B%9F%E6%9C%BA"><span class="toc-number">4.2.</span> <span class="toc-text">执行安装虚拟机</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%9B%BE%E5%BD%A2%E5%8C%96%E5%AE%89%E8%A3%85"><span class="toc-number">4.2.1.</span> <span class="toc-text">图形化安装</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%91%BD%E4%BB%A4%E8%A1%8C%E5%AE%89%E8%A3%85"><span class="toc-number">4.2.2.</span> <span class="toc-text">命令行安装</span></a><ol class="toc-child"><li class="toc-item toc-level-4"><a class="toc-link" href="#%E6%97%B6%E5%8C%BA%E8%AE%BE%E7%BD%AE"><span class="toc-number">4.2.2.1.</span> <span class="toc-text">时区设置</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#%E7%A1%AC%E7%9B%98%E5%88%86%E5%8C%BA"><span class="toc-number">4.2.2.2.</span> <span class="toc-text">硬盘分区</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#%E8%AE%BE%E7%BD%AEroot%E5%AF%86%E7%A0%81"><span class="toc-number">4.2.2.3.</span> <span class="toc-text">设置root密码</span></a></li><li class="toc-item toc-level-4"><a class="toc-link" href="#%E5%BC%80%E5%A7%8B%E5%AE%89%E8%A3%85"><span class="toc-number">4.2.2.4.</span> <span class="toc-text">开始安装</span></a></li></ol></li></ol></li></ol></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E8%AE%BE%E7%BD%AE%E5%BC%80%E6%9C%BA%E8%87%AA%E5%90%AFVM"><span class="toc-number">5.</span> <span class="toc-text">设置开机自启VM</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E5%AE%BF%E4%B8%BB%E6%9C%BA%E6%9F%A5%E7%9C%8BVM-IP"><span class="toc-number">6.</span> <span class="toc-text">宿主机查看VM_IP</span></a></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>